Create queue
curl --request POST \
--url https://api.connectadesk.com/api/v1/queues \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Suporte",
"color": "#6941C6",
"greetingMessage": "Olá! Você está falando com o Suporte.",
"outOfHoursMessage": "Estamos fora do horário. Retornamos amanhã às 8h.",
"userIds": [
3,
9
],
"wrapupTypeIds": [
12
],
"automaticDistribution": true,
"orderQueue": 1,
"integrationId": 4
}
'import requests
url = "https://api.connectadesk.com/api/v1/queues"
payload = {
"name": "Suporte",
"color": "#6941C6",
"greetingMessage": "Olá! Você está falando com o Suporte.",
"outOfHoursMessage": "Estamos fora do horário. Retornamos amanhã às 8h.",
"userIds": [3, 9],
"wrapupTypeIds": [12],
"automaticDistribution": True,
"orderQueue": 1,
"integrationId": 4
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Suporte',
color: '#6941C6',
greetingMessage: 'Olá! Você está falando com o Suporte.',
outOfHoursMessage: 'Estamos fora do horário. Retornamos amanhã às 8h.',
userIds: [3, 9],
wrapupTypeIds: [12],
automaticDistribution: true,
orderQueue: 1,
integrationId: 4
})
};
fetch('https://api.connectadesk.com/api/v1/queues', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.connectadesk.com/api/v1/queues",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Suporte',
'color' => '#6941C6',
'greetingMessage' => 'Olá! Você está falando com o Suporte.',
'outOfHoursMessage' => 'Estamos fora do horário. Retornamos amanhã às 8h.',
'userIds' => [
3,
9
],
'wrapupTypeIds' => [
12
],
'automaticDistribution' => true,
'orderQueue' => 1,
'integrationId' => 4
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.connectadesk.com/api/v1/queues"
payload := strings.NewReader("{\n \"name\": \"Suporte\",\n \"color\": \"#6941C6\",\n \"greetingMessage\": \"Olá! Você está falando com o Suporte.\",\n \"outOfHoursMessage\": \"Estamos fora do horário. Retornamos amanhã às 8h.\",\n \"userIds\": [\n 3,\n 9\n ],\n \"wrapupTypeIds\": [\n 12\n ],\n \"automaticDistribution\": true,\n \"orderQueue\": 1,\n \"integrationId\": 4\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.connectadesk.com/api/v1/queues")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Suporte\",\n \"color\": \"#6941C6\",\n \"greetingMessage\": \"Olá! Você está falando com o Suporte.\",\n \"outOfHoursMessage\": \"Estamos fora do horário. Retornamos amanhã às 8h.\",\n \"userIds\": [\n 3,\n 9\n ],\n \"wrapupTypeIds\": [\n 12\n ],\n \"automaticDistribution\": true,\n \"orderQueue\": 1,\n \"integrationId\": 4\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.connectadesk.com/api/v1/queues")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Suporte\",\n \"color\": \"#6941C6\",\n \"greetingMessage\": \"Olá! Você está falando com o Suporte.\",\n \"outOfHoursMessage\": \"Estamos fora do horário. Retornamos amanhã às 8h.\",\n \"userIds\": [\n 3,\n 9\n ],\n \"wrapupTypeIds\": [\n 12\n ],\n \"automaticDistribution\": true,\n \"orderQueue\": 1,\n \"integrationId\": 4\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 13,
"name": "Comercial",
"color": "#0E7490",
"greetingMessage": "Olá! Em que posso ajudar?",
"outOfHoursMessage": "Estamos fora do horário de atendimento.",
"orderQueue": 1,
"automaticDistribution": true,
"priority": 2,
"integrationId": null,
"users": [
{
"id": 3,
"name": "Gabriel Goulart"
},
{
"id": 7,
"name": "Ana Souza"
}
],
"createdAt": "2026-03-11T09:00:00.000Z",
"updatedAt": "2026-08-10T17:45:02.310Z"
}
}{
"error": {
"code": "ERR_API_VALIDATION",
"message": "O parâmetro `application` é obrigatório e aceita \"contact\" ou \"card\"."
}
}Authorizations
API token in the sk_live_… format.
Body
Queue name.
"Suporte"
Tag color, in hexadecimal.
"#6941C6"
Message sent to the contact when the ticket enters this queue.
"Olá! Você está falando com o Suporte."
Message sent to the contact outside the queue's business hours.
"Estamos fora do horário. Retornamos amanhã às 8h."
Agents who work in this queue. The list you send replaces the previous one. Use the user id in this company, the same one GET /users returns. The same person has a different id in each company they work in.
[3, 9]
Wrap-ups available when closing a ticket in this queue.
[12]
Automatically distributes this queue's tickets among the agents who are online.
Position of the queue in the list. Lower numbers appear first.
1
Chatbot integration linked to the queue.
4
Response
Created
Show child attributes
Show child attributes
{ "id": 13, "name": "Comercial", "color": "#0E7490", "greetingMessage": "Olá! Em que posso ajudar?", "outOfHoursMessage": "Estamos fora do horário de atendimento.", "orderQueue": 1, "automaticDistribution": true, "priority": 2, "integrationId": null, "users": [ { "id": 3, "name": "Gabriel Goulart" }, { "id": 7, "name": "Ana Souza" } ], "createdAt": "2026-03-11T09:00:00.000Z", "updatedAt": "2026-08-10T17:45:02.310Z" }
curl --request POST \
--url https://api.connectadesk.com/api/v1/queues \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Suporte",
"color": "#6941C6",
"greetingMessage": "Olá! Você está falando com o Suporte.",
"outOfHoursMessage": "Estamos fora do horário. Retornamos amanhã às 8h.",
"userIds": [
3,
9
],
"wrapupTypeIds": [
12
],
"automaticDistribution": true,
"orderQueue": 1,
"integrationId": 4
}
'import requests
url = "https://api.connectadesk.com/api/v1/queues"
payload = {
"name": "Suporte",
"color": "#6941C6",
"greetingMessage": "Olá! Você está falando com o Suporte.",
"outOfHoursMessage": "Estamos fora do horário. Retornamos amanhã às 8h.",
"userIds": [3, 9],
"wrapupTypeIds": [12],
"automaticDistribution": True,
"orderQueue": 1,
"integrationId": 4
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Suporte',
color: '#6941C6',
greetingMessage: 'Olá! Você está falando com o Suporte.',
outOfHoursMessage: 'Estamos fora do horário. Retornamos amanhã às 8h.',
userIds: [3, 9],
wrapupTypeIds: [12],
automaticDistribution: true,
orderQueue: 1,
integrationId: 4
})
};
fetch('https://api.connectadesk.com/api/v1/queues', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.connectadesk.com/api/v1/queues",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Suporte',
'color' => '#6941C6',
'greetingMessage' => 'Olá! Você está falando com o Suporte.',
'outOfHoursMessage' => 'Estamos fora do horário. Retornamos amanhã às 8h.',
'userIds' => [
3,
9
],
'wrapupTypeIds' => [
12
],
'automaticDistribution' => true,
'orderQueue' => 1,
'integrationId' => 4
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.connectadesk.com/api/v1/queues"
payload := strings.NewReader("{\n \"name\": \"Suporte\",\n \"color\": \"#6941C6\",\n \"greetingMessage\": \"Olá! Você está falando com o Suporte.\",\n \"outOfHoursMessage\": \"Estamos fora do horário. Retornamos amanhã às 8h.\",\n \"userIds\": [\n 3,\n 9\n ],\n \"wrapupTypeIds\": [\n 12\n ],\n \"automaticDistribution\": true,\n \"orderQueue\": 1,\n \"integrationId\": 4\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.connectadesk.com/api/v1/queues")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Suporte\",\n \"color\": \"#6941C6\",\n \"greetingMessage\": \"Olá! Você está falando com o Suporte.\",\n \"outOfHoursMessage\": \"Estamos fora do horário. Retornamos amanhã às 8h.\",\n \"userIds\": [\n 3,\n 9\n ],\n \"wrapupTypeIds\": [\n 12\n ],\n \"automaticDistribution\": true,\n \"orderQueue\": 1,\n \"integrationId\": 4\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.connectadesk.com/api/v1/queues")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Suporte\",\n \"color\": \"#6941C6\",\n \"greetingMessage\": \"Olá! Você está falando com o Suporte.\",\n \"outOfHoursMessage\": \"Estamos fora do horário. Retornamos amanhã às 8h.\",\n \"userIds\": [\n 3,\n 9\n ],\n \"wrapupTypeIds\": [\n 12\n ],\n \"automaticDistribution\": true,\n \"orderQueue\": 1,\n \"integrationId\": 4\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 13,
"name": "Comercial",
"color": "#0E7490",
"greetingMessage": "Olá! Em que posso ajudar?",
"outOfHoursMessage": "Estamos fora do horário de atendimento.",
"orderQueue": 1,
"automaticDistribution": true,
"priority": 2,
"integrationId": null,
"users": [
{
"id": 3,
"name": "Gabriel Goulart"
},
{
"id": 7,
"name": "Ana Souza"
}
],
"createdAt": "2026-03-11T09:00:00.000Z",
"updatedAt": "2026-08-10T17:45:02.310Z"
}
}{
"error": {
"code": "ERR_API_VALIDATION",
"message": "O parâmetro `application` é obrigatório e aceita \"contact\" ou \"card\"."
}
}
